----------------
-- BeastHenge --
----------------

local BeastHenge = Henge:NewModule("BeastHenge")
BeastHenge.fullname = "BeastHenge"
BeastHenge.icon     = "icon"
local ML = AceLibrary("AceLocale-2.2"):new("BeastHenge")
local SL = AceLibrary("Babble-Spell-2.2")

function BeastHenge:Test()
	local _, pClass = UnitClass("player")
	return pClass == "HUNTER"
end

function BeastHenge:Load()
	self:SetupDB({
		["profile"] = {},
		["char"] = {}
	})
	HengeSphere:AddData({
		["id"] = "mana",
		["name"] = ML["Mana"],
		["func"] = function()
			return UnitMana("player"), UnitManaMax("player")
		end,
		["event"] = "UNIT_MANA",
		["arg1"] = "player"
	})
	local spell = {
		["feigndeath"] = SL["Feign Death"]
	}
	for k, v in pairs(spell) do
		HengeAction:Add({
			["id"] = k,
			["name"] = v,
			["type"] = "spell",
			["spell"] = v
		})
	end
	HengeButton:Add({
		["id"] = "feigndeath",
		["type"] = "action",
		["name"] = SL["Feign Death"],
		["desc"] = nil,
		["actions"] = {
			["LeftButton"] = "feigndeath"
		},
		["options"] = {
			["anchor"] = "sphere:Main",
			["xpos"] = 0,
			["ypos"] = 0,
			["angle"] = 105,
			["texture"] = "action:LeftButton"
		}
	})
end

